Package org.apache.sling.graphql.api.pagination

# Interface PageInfo

All Known Implementing Classes:
  `GenericConnection`

@ConsumerType public interface PageInfo
The `PageInfo` interface provides support for implementing the identically named type from https://relay.dev/graphql/connections.htm#sec-Connection-Types.Fields.PageInfo.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Cursor`
`getEndCursor()`
`@NotNull Cursor`
`getStartCursor()`
`boolean`
`isHasNextPage()`
`boolean`
`isHasPreviousPage()`

## Method Details

### getStartCursor

@NotNull @NotNull Cursor getStartCursor()

### getEndCursor

@NotNull @NotNull Cursor getEndCursor()

### isHasPreviousPage

boolean isHasPreviousPage()

### isHasNextPage

boolean isHasNextPage()